Author Topic: Compiz 0.9 series package available  (Read 44919 times)

0 Members and 1 Guest are viewing this topic.

Offline Atherill

  • Neuling
  • *
  • Posts: 22
  • 4999999837
  • Branch: testing
  • Desktop: Xfce
  • GPU Card: Nvidia GTX 650 Ti Boost / Intel Atom N450 IGPU
  • GPU driver: non-free / free
  • Kernel: Linux310-x64 / Linux312-Manjaro-netbook
  • Skill: Intermediate
Re: Compiz 0.9.11 series package available
« Reply #90 on: 16. December 2014, 15:18:47 »
I found the gap between panel and Whisker Menu irritating so I found a solution ;)

The problem occurs only if you enable "Place Windows". If you still, like me, want to keep it on, you must add "Whisker Menu" (window title) fixed placement option in CCSM->Place windows. Just use the default values and voila!

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9.11 series package available
« Reply #91 on: 17. December 2014, 00:42:55 »
I found the gap between panel and Whisker Menu irritating so I found a solution ;)

The problem occurs only if you enable "Place Windows". If you still, like me, want to keep it on, you must add "Whisker Menu" (window title) fixed placement option in CCSM->Place windows. Just use the default values and voila!

Great job.
This will be added to the defaults in the next package release.

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9.11 series package available
« Reply #92 on: 17. December 2014, 18:20:21 »
Compiz-Manjaro has just been updated in Unstable branch, to compiz-manjaro 0.9.12.0-1, changes include:
  • Update from Compiz 0.9.11.x branch to 0.9.12.x branch.
  • Update GWD backend from Metacity2/GTK2 to Metacity3/GTK3.
  • Fix GWD theme selector sometimes listing same theme multiple times.
  • Fix Xfce Whisker Menu placement for bottom panels. (Thanks Atherill)
  • Update the provided Greybird window decoration theme.

If updating with pacman you'll be prompted about a conflict (metacity2 and metacity), answer yes to let metacity replace metacity2.

If there's any issues please post.


Sidenote: compiz08-gtk-standalone has also had the fix for the GWD theme selector listing applied.

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #93 on: 17. December 2014, 19:27:49 »
I think that I finally solved problem with newer nVidia drivers (340.xx and newer) and Compiz (problem with tearing and freezing system).
I unchecked "Allow Flipping" (nVidia X Server Settings -> OpenGL Settings) and everything works fine with 340.58 drivers.

Did you maybe put in 0.9.12 version this patch? That patch would maybe fix that problem I (and many others) had without unchecking "Allow Flipping" option...

Offline Atherill

  • Neuling
  • *
  • Posts: 22
  • 4999999837
  • Branch: testing
  • Desktop: Xfce
  • GPU Card: Nvidia GTX 650 Ti Boost / Intel Atom N450 IGPU
  • GPU driver: non-free / free
  • Kernel: Linux310-x64 / Linux312-Manjaro-netbook
  • Skill: Intermediate
Re: Compiz 0.9.11 series package available
« Reply #94 on: 18. December 2014, 03:53:24 »

  • Fix Xfce Whisker Menu placement for bottom panels. (Thanks Atherill)
I am glad I could help. But what happens when user moves Whisker Menu applet to the top panel? I think that the workaround I've posted fixes popup to the bottom left corner, doesn't it?

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #95 on: 18. December 2014, 04:44:42 »
I think that I finally solved problem with newer nVidia drivers (340.xx and newer) and Compiz (problem with tearing and freezing system).
I unchecked "Allow Flipping" (nVidia X Server Settings -> OpenGL Settings) and everything works fine with 340.58 drivers.

Did you maybe put in 0.9.12 version this patch? That patch would maybe fix that problem I (and many others) had without unchecking "Allow Flipping" option...
I was hoping you'd test it yourself trzalica. Adding one patch to a PKGBUILD ain't so hard, it's literally 3 additional lines...
But ok, i'll arrange you a modified PKGBUILD for you to build and test.


I am glad I could help. But what happens when user moves Whisker Menu applet to the top panel? I think that the workaround I've posted fixes popup to the bottom left corner, doesn't it?
I do test things before i ship them. ;)
If works fine for top panel too.

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #96 on: 18. December 2014, 05:12:24 »
Did you maybe put in 0.9.12 version this patch? That patch would maybe fix that problem I (and many others) had without unchecking "Allow Flipping" option...
i'll arrange you a modified PKGBUILD for you to build and test.

http://www.paradoxcomputers.com.au/manjaro/packages/compiz-nvidia-refresh-test/compiz-manjaro-0.9.12.0-2.1.src.tar.gz


EDIT: btw, it looks like this patch is going to be accepted into compiz mainline soon. Apparently it's been held up because the original writer of the patch is a nVidia employee and Canonical have their stupid CLA.
« Last Edit: 18. December 2014, 06:15:29 by Rob »

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #97 on: 18. December 2014, 12:02:41 »
I was hoping you'd test it yourself trzalica. Adding one patch to a PKGBUILD ain't so hard, it's literally 3 additional lines...
But ok, i'll arrange you a modified PKGBUILD for you to build and test.

I do test things before i ship them. ;)
If works fine for top panel too.
I know that maybe it seems like I was lazy to do it but because this machine on which I run Manjaro is a working horse I couldn't risk to break something. I know that it can be fixed but still it's a risk because I didn't patch any package before... I will diff this two PKGBUILDS (with and without this patch) and will know how for when I need to patch something in the future.
« Last Edit: 18. December 2014, 13:08:24 by trzalica »

Offline Jeannie

  • Held Mitglied
  • *****
  • Posts: 1546
  • Skill: Novice
Re: Compiz 0.9 series package available
« Reply #98 on: 18. December 2014, 12:40:36 »
http://www.paradoxcomputers.com.au/manjaro/packages/compiz-nvidia-refresh-test/compiz-manjaro-0.9.12.0-2.1.src.tar.gz


EDIT: btw, it looks like this patch is going to be accepted into compiz mainline soon. Apparently it's been held up because the original writer of the patch is a nVidia employee and Canonical have their stupid CLA.
Can we have that patch for Compiz 0.8.x too please?
Compiz 0.9.x still does not work reliably for me with a 4x4 virtual desktop grid and a top and a bottom panel.
J.
Hitten by the door in the back when I left Manjaro.

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #99 on: 18. December 2014, 13:10:59 »
Can we have that patch for Compiz 0.8.x too please?

No, the nVidia employee who wrote it only did it for 0.9.

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #100 on: 18. December 2014, 13:13:06 »
http://www.paradoxcomputers.com.au/manjaro/packages/compiz-nvidia-refresh-test/compiz-manjaro-0.9.12.0-2.1.src.tar.gz
I installed this but metacity makes me problems. When I want to enter CCSM it asks me which metacity theme I want to use and when I choose one it asks me again and like that indefinitely... What I have to do to fix this?

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #101 on: 18. December 2014, 13:15:18 »
I installed this but metacity makes me problems. When I want to enter CCSM it asks me which metacity theme I want to use and when I choose one it asks me again and like that indefinitely... What I have to do to fix this?

What do you mean?
Your screenshot shows CCSM open and the GWD theme selector open.
In the GWD theme selector you just pick your theme and hit apply and then close.

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9 series package available
« Reply #102 on: 18. December 2014, 13:18:01 »
What do you mean?
Your screenshot shows CCSM open and the GWD theme selector open.
In the GWD theme selector you just pick your theme and hit apply and then close.
I did that but nothing happens but it asks me again to choose...  :o

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #103 on: 18. December 2014, 13:18:30 »
On AUR one user has said this:
Quote
The gtk-window-decorator is erroring out with this new version (0.9.12.0-2). I worked around it by installing and using emerald0.9.
...
Yes, exited to my login manager, switched to a tty2 (X is on 1), uninstalled compiz-manjaro and metacity2 (compiz-manjaro requires metacity2 so uninstalled together and the new version won't build UNTIL metacity is installed), installed metacity, built compiz-manjaro, installed, rebooted. No gtk-window-decorator.

If more people are experiencing this i need to know about it and i need detailed feedback.
« Last Edit: 18. December 2014, 13:20:46 by Rob »

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9 series package available
« Reply #104 on: 18. December 2014, 13:19:44 »
I did that but nothing happens but it asks me again to choose...  :o

Yes it always pops back up after hitting apply, it's meant to so you can flick between different themes without having to reopen it each time, you just click close when you're done.

Are you saying that it is not working? That it is not applying the theme?
Please explain the issues concisely.